Issuance Status
Check the status of an issuance session.
Get session status.
A Wallet Service session can be in one of the following states:
IN_PROGRESS: The session is ongoing and waiting for response.CONSENT_REQUEST_READY: User consent is required. All necessary information for the end user is included in this state.ISSUANCE_SUCCEEDED: Credential issuance completed successfully.ISSUANCE_FAILED: Credential issuance failed.
Path Parameters
walletId*string
The unique identifier of the Wallet.
Format
uuidissuanceSessionId*string
A unique ID of the issuance session.
Format
uuidHeader Parameters
Authorization*string
Token for authenticating requests to the FortID Wallet Service.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://ews.fortid.com/wallets/f4856bb7-d77a-4a6a-9c8a-7d7f6f639cfb/issue/497f6eca-6276-4993-bfeb-53cbbbba6f08/session-status" \ -H "Authorization: Bearer {access_token}"{
"status": "CONSENT_REQUEST_READY",
"consentRequestObject": {
"credentialOfferParameters": {
"credential_issuer": "https://eis.fortid.com:443/protocol/oid4vci/issuer/fortid_issuer",
"credential_configuration_id": "eu.europa.ec.eudi.pid_mdoc",
"tx_code": {
"input_mode": "numeric",
"length": 4,
"description": "Input 4 digit code"
}
}
}
}{
"message": "Invalid URL: UUID parsing failed"
}{
"message": "Unauthorized access to wallet service is not allowed."
}{
"message": "User user:9d18dc5a409e4f0f94ff6812e324c959 unauthorized for Wallet f5d223f6-fc41-42b1-b2a6-475a2984486c"
}{
"message": "Issuance session with ID dd6473c2-2043-4523-b359-ceb596ddae66 not found"
}{
"message": "Internal Server Error"
}